Subject: Re: [bug#66573] [PATCH 00/11] Update Open MPI and its dependencies

From: Guillaume Le Vaillant <[email-masked]>
Date: Wed, 15 Nov 2023 16:57:33 +0000

Ludovic Courtès <[email-masked]> skribis:

> Hello,
>
> Ludovic Courtès <[email-masked]> skribis:
>
>>   gnu: opensm: Use the right version string for the doc directory.
>>   gnu: opensm: Use gexps.
>>   gnu: slurm: Add 23.02.6.
>>   gnu: hwloc: Update to 2.9.3.
>>   gnu: opensm: Update to 3.3.24.
>>   gnu: ucx: Update to 1.15.0.
>>   gnu: rdma-core: Update to 48.0.
>>   gnu: libfabric: Update to 1.19.0.
>>   gnu: psm2: Update to 12.0.
>>   gnu: openmpi: Update to 4.1.6.
>>   gnu: intel-mpi-benchmarks: Update to 2021.3.
>
> Frustrated by the slow response of qa.guix, I pushed a
> ‘wip-openmpi-upgrade’ branch, got it built at
> <https://guix.bordeaux.inria.fr/jobset/openmpi-upgrade> for x86_64
> overnight, and pushed it to ‘master’ as
> f8cad886153f4c0fa96d50e497eec5f00279f0d5 after noticing there were no
> regressions.
>
> I think we should strive to provide quick response on qa.guix, even if
> that means cutting on some checks to save computing resources.  Perhaps
> instead of green/grey/red, we need something more progressive.  Dunno!
>
> Ludo’.

Hi.
I can't build the updated psm2. There's an error with the git checkout:

--8<---------------cut here---------------start------------->8---
building /gnu/store/ws9m70k8rq78hc6ywpjzh54f69hjfr5g-psm2-12.0-checkout.drv...
Initialized empty Git repository in /gnu/store/m03npw5b871r4kb7c0hlv3bm1sl6lki3-psm2-12.0-checkout/.git/
fatal: couldn't find remote ref PSM2_12.0
[...]
error: pathspec 'PSM2_12.0' did not match any file(s) known to git
[...]
build of
/gnu/store/ws9m70k8rq78hc6ywpjzh54f69hjfr5g-psm2-12.0-checkout.drv failed
--8<---------------cut here---------------end--------------->8---

This blocks <https://issues.guix.gnu.org/67151> to update kicad.